Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.bean
Class HtmlParameter

    java.lang.Object
      jet.bean.HtmlParameter

All Implemented Interfaces:
  java.io.Serializable

    public class HtmlParameter

extends java.lang.Object
implements java.io.Serializable

parameter object for export to html

Since:
  JDK1.4 2008/06/19 added page level security interface in
See Also:
  Serialized Form

Field Summary
`static int` | `FORMAT_DEFAULT`
`static int` | `FORMAT_GIF`
`static int` | `FORMAT_JPEG`
`static int` | `FORMAT_PNG`

Constructor Summary
`HtmlParameter()`

Method Summary
`HtmlParameter` | `copy()` add this method for MailInformation can clone this object
`int` | `getBrowserType()` Return parameter BrowserType value
`int` | `getExportImageType()` Return parameter ExportImageType value
`int[]` | `getExportPageNumberList()` Return export pageNumber list
`int[][]` | `getExportPageNumberRange()` Return export pageNumber range array
`boolean` | `getisPlsExporter()`
`java.lang.String` | `getLastPageURL()` return parameter LastPageURL value
`java.util.Properties` | `getNLSProperties()` Return the NLS properties object
`int` | `getOverflowType()` Get parameter OverflowType value
`int` | `getResolution()` return parameter resolution value
`java.lang.String` | `getTitle()` return parameter title value
`java.lang.String` | `getURI()` Get URI parameter
`java.lang.String` | `getUrl()` return parameter url value, only for pipeline mode JRServer interface
`boolean` | `hasHyperlink()` Return parameter hasHyperlink value
`boolean` | `hasPageNumber()` Return parameter pageNumber value
`boolean` | `isAbsoluteFontSize()` Return parameter isAbsoluteFontSize value
`boolean` | `isDhtml()` Return parameter isDhtml value
`boolean` | `isEmbededCSS()` Return parameter isEmbededCSS value
`boolean` | `isExportAppletChart()` Return parameter isExportAppletChart value
`boolean` | `IsExportToMultiFiles()` Return parameter IsExportToMultiFiles value
`boolean` | `isForHtmlMail()` Return parameter isForHtmlMail value
`boolean` | `isIncludeDrillDownFile()` Return parameter isIncludeDrillDownFile value
`boolean` | `isNoMargin()` Return parameter isNoMargin value
`boolean` | `isOnlyExportHtmlBody()`
`boolean` | `isSect508Html()` Return the isSect508Html properties value
`boolean` | `isTableFormatHtml()` Deprecated. the feature remove from v8
`boolean` | `isUseExtenalCSSValue()` return parameter isUseExtenalCSSValue value
`boolean` | `isUseHtmlTable()` Return the parameter "isUseHtmlTable" value.
`boolean` | `isUseScope()` Return the parameter "isUseScope" value.
`boolean` | `isWriteCSSInline()`
`void` | `setBrowserType(int browserType)` Set Browser type
`void` | `setDhtml(boolean isDhtml)` Set the HTML result contain TOC or not.
`void` | `setEmbededCSS(boolean isEmbededCSS)` Set HTML result use outer CSS or embeded CSS. When IsExportToMultiFiles=false, the value is alway true
`void` | `setExportImageType(int exportImageType)` Set image chart type.
`void` | `setExportPageNumberList(int[] exportPageNumberList)` Set the export page number list.
`void` | `setExportPageNumberRange(int[][] exportPageNumberRange)` Set the export page number list.
`void` | `setHasHyperlink(boolean hasHyperlink)` Set the HTML result contain page navigator link or not.
`void` | `setHasPageNumber(boolean hasPageNumber)` Set the HTML result contain page number or not.
`void` | `setIsAbsoluteFontSize(boolean isAbsoluteFontSize)` Set the font unit.
`void` | `setIsExportAppletChart(boolean isExportChartAsApplet)` Set the HTML result use Applet to draw chart or image
`void` | `setIsExportToMultiFiles(boolean multifile)` Set the report will be exported to multiple HTML files or not.
`void` | `setIsHtmlMail(boolean isHtmlMail)` Set the HTML is for email or not.
`void` | `setIsIncludeDrillDownFile(boolean isIncludeDrillDownFile)` Set the result include the drilldown files or not.
`void` | `setIsNoMargin(boolean isNoMargin)` Set result file remove margins or not.
`void` | `setisPlsExporter(boolean isPLS)`
`void` | `setIsSect508Html(boolean isSect508Html)` Set the IsSect508Html properties object to control the html result according to Section508 standard
`void` | `setIsTableFormatHtml(boolean isTableFormatHtml)` Deprecated. the feature remove from v8
`void` | `setLastPageURL(java.lang.String url)` Set page navigator link last page url, only for pipeline mode JRServer interface
`void` | `setNLSProperties(java.util.Properties properties)` Set the NLS properties object to control the html result navigator button text
`void` | `setOnlyExportHtmlBody(boolean isOnlyExportHtmlBody)`
`void` | `setOverflowType(int overflowType)` This is for controlling the text overflow.
`void` | `setResolution(int resolution)` Set resolution.
`void` | `setTitle(java.lang.String title)` Set html title content
`void` | `setURI(java.lang.String uri)` Set URI parameter
`void` | `setUrl(java.lang.String url)` Set page navigator link url, only for pipeline mode JRServer interface
`void` | `setUseExtenalCSSValue(boolean isUseExtenalCSSValue)` Set use user define ExtenalCSSValue as HTML CSS name
`void` | `setUseHtmlTable(boolean isUseHtmlTable)` Set parameter "isUseHtmlTable".
`void` | `setUseScope(boolean isUseScope)` Set the parameter "isUseScope" value.
`void` | `setWriteCSSInline(boolean isWriteCSSInline)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FORMAT_DEFAULT

    public static final int FORMAT_DEFAULT

See Also:
  Constant Field Values

### FORMAT_GIF

    public static final int FORMAT_GIF

### FORMAT_JPEG

    public static final int FORMAT_JPEG

### FORMAT_PNG

    public static final int FORMAT_PNG

Constructor Detail

### HtmlParameter

    public HtmlParameter()

Method Detail

### setURI

    public void setURI(java.lang.String uri)

  Set URI parameter

  Parameters:
    `uri` - URI value

### getURI

    public java.lang.String getURI()

  Get URI parameter

  Returns:
    URI value

### setHasHyperlink

    public void setHasHyperlink(boolean hasHyperlink)

  Set the HTML result contain page navigator link or not.

  Parameters:
    `hasHyperlink` - "true" with link; "False" otherwise.

### hasHyperlink

    public boolean hasHyperlink()

  Return parameter hasHyperlink value

  Returns:
    "true" with link; "False" otherwise.

### setHasPageNumber

    public void setHasPageNumber(boolean hasPageNumber)

  Set the HTML result contain page number or not.

  Parameters:
    `hasPageNumber` - "true" with page number, "False" otherwise.

### hasPageNumber

    public boolean hasPageNumber()

  Return parameter pageNumber value

  Returns:
    "true" with page number, "False" otherwise

### setDhtml

    public void setDhtml(boolean isDhtml)

  Set the HTML result contain TOC or not.

  Parameters:
    `isDhtml` - "true" with TOC, "False" otherwise.

### isDhtml

    public boolean isDhtml()

  Return parameter isDhtml value

  Returns:
    "true" with TOC, "False" otherwise.

### setEmbededCSS

    public void setEmbededCSS(boolean isEmbededCSS)

  Set HTML result use outer CSS or embeded CSS.
  When IsExportToMultiFiles=false, the value is alway true

  Parameters:
    `isEmbededCSS` - "true" with the cascading style sheet (CSS) will be embedded in the exported HTML files;
    "false" the .css file will be generated individually.

### isEmbededCSS

    public boolean isEmbededCSS()

  Return parameter isEmbededCSS value

  Returns:
    "true" with the cascading style sheet (CSS) will be embedded in the exported HTML files;
    "false" the .css file will be generated individually.

### setIsExportAppletChart

    public void setIsExportAppletChart(boolean isExportChartAsApplet)

  Set the HTML result use Applet to draw chart or image

  Parameters:
    `isExportChartAsApplet` - "true" with Applet, "False" with image.

### isExportAppletChart

    public boolean isExportAppletChart()

  Return parameter isExportAppletChart value

  Returns:
    "true" with Applet, "False" with image.

### setIsExportToMultiFiles

    public void setIsExportToMultiFiles(boolean multifile)

  Set the report will be exported to multiple HTML files or not.

  Parameters:
    `multifile` - If "true", JReport designates a serial number for each HTML page. For example, if you named a 3-page report as "sales", JReport will create three files called sales_1.html, sales_2.html, and sales_3.html.
    If "false", all pages include CSS export to one file.

### IsExportToMultiFiles

    public boolean IsExportToMultiFiles()

  Return parameter IsExportToMultiFiles value

  Returns:
    If "true", JReport designates a serial number for each HTML page. For example, if you named a 3-page report as "sales", JReport will create three files called sales_1.html, sales_2.html, and sales_3.html.
    If "false", all pages include CSS export to one file.

### setIsHtmlMail

    public void setIsHtmlMail(boolean isHtmlMail)

  Set the HTML is for email or not.

  Parameters:
    `isHtmlMail` - If true, the image in the HTML result would add "cid: + filename + .mail@jinfonet.com" else don't do it.

### isForHtmlMail

    public boolean isForHtmlMail()

  Return parameter isForHtmlMail value

  Returns:
    If true, the image in the HTML result would add "cid: + filename + .mail@jinfonet.com" else don't do it.

### setIsIncludeDrillDownFile

    public void setIsIncludeDrillDownFile(boolean isIncludeDrillDownFile)

  Set the result include the drilldown files or not.

  Parameters:
    `isIncludeDrillDownFile` - "true" will generate drilldown fils; "false" otherwise

### isIncludeDrillDownFile

    public boolean isIncludeDrillDownFile()

  Return parameter isIncludeDrillDownFile value

  Returns:
    "true" will generate drilldown fils; "false" otherwise

### setIsNoMargin

    public void setIsNoMargin(boolean isNoMargin)

  Set result file remove margins or not.

  Parameters:
    `isNoMargin` - "true" removes the margins that were originally set when the report was designed.
    "false" export with original margions

### isNoMargin

    public boolean isNoMargin()

  Return parameter isNoMargin value

  Returns:
    "true" removes the margins that were originally set when the report was designed.
    "false" export with original margions

### setBrowserType

    public void setBrowserType(int browserType)

  Set Browser type

  Parameters:
    `browserType` - 0 -- IE ; 1 -- NETSCAPE

### getBrowserType

    public int getBrowserType()

  Return parameter BrowserType value

  Returns:
    0 -- IE ; 1 -- NETSCAPE

### setExportImageType

    public void setExportImageType(int exportImageType)

  Set image chart type.

  Parameters:
    `exportImageType` - 0 -- default; 1 -- GIF; 2 -- JPEG

### getExportImageType

    public int getExportImageType()

  Return parameter ExportImageType value

  Returns:
    0 -- default; 1 -- GIF; 2 -- JPEG

### setIsAbsoluteFontSize

    public void setIsAbsoluteFontSize(boolean isAbsoluteFontSize)

  Set the font unit.

  Parameters:
    `isAbsoluteFontSize` - "true" use pixel as font unit
    "false" if browserType is IE use "em" as font unit else browserType is Netscape use "pt" as font unit

### isAbsoluteFontSize

    public boolean isAbsoluteFontSize()

  Return parameter isAbsoluteFontSize value

  Returns:
    "true" use pixel as font unit
    "false" if browserType is IE use "em" as font unit else browserType is Netscape use "pt" as font unit

### setIsTableFormatHtml

    public void setIsTableFormatHtml(boolean isTableFormatHtml)

  Deprecated. the feature remove from v8

  Set use table tags to export html result, the feature removed from v8, only keep for compatible

### isTableFormatHtml

    public boolean isTableFormatHtml()

  Deprecated. the feature remove from v8

  return parameter isTableFormatHtml value

### setOverflowType

    public void setOverflowType(int overflowType)

  This is for controlling the text overflow.

  Parameters:
    `overflowType` - 0 -- visible; 1 -- hidden;

### getOverflowType

    public int getOverflowType()

  Get parameter OverflowType value

  Returns:
    0 -- visible; 1 -- hidden;

### setResolution

    public void setResolution(int resolution)

  Set resolution. Different value can implement "zoom" feature.

  Parameters:
    `resolution` - resolution value.

### getResolution

    public int getResolution()

  return parameter resolution value

  Returns:
    resolution value

### setTitle

    public void setTitle(java.lang.String title)

  Set html title content

  Parameters:
    `title` - html title content

### getTitle

    public java.lang.String getTitle()

  return parameter title value

  Returns:
    html title content

### setUrl

    public void setUrl(java.lang.String url)

  Set page navigator link url, only for pipeline mode JRServer interface

  Parameters:
    `url` - URL string

### getUrl

    public java.lang.String getUrl()

  return parameter url value, only for pipeline mode JRServer interface

  Returns:
    URL string

### setLastPageURL

    public void setLastPageURL(java.lang.String url)

  Set page navigator link last page url, only for pipeline mode JRServer interface

  Parameters:
    `url` - last page url

### getLastPageURL

    public java.lang.String getLastPageURL()

  return parameter LastPageURL value

  Returns:
    last page url

### setUseExtenalCSSValue

    public void setUseExtenalCSSValue(boolean isUseExtenalCSSValue)

  Set use user define ExtenalCSSValue as HTML CSS name

  Parameters:
    `isUseExtenalCSSValue` - "true", use user define ExtenalCSSValue, false otherwise

### isUseExtenalCSSValue

    public boolean isUseExtenalCSSValue()

  return parameter isUseExtenalCSSValue value

  Returns:
    "true", use user define ExtenalCSSValue, false otherwise

### copy

    public HtmlParameter copy()

  add this method for MailInformation can clone this object

  Returns:

### isUseHtmlTable

    public boolean isUseHtmlTable()

  Return the parameter "isUseHtmlTable" value. If true, use HTML table element to render DSTableObject and DSCrossTab, else use "div"

  Returns:
    parameter "isUseHtmlTable" value

### setUseHtmlTable

    public void setUseHtmlTable(boolean isUseHtmlTable)

  Set parameter "isUseHtmlTable". If true, use HTML table element to render DSTableObject and DSCrossTab, else use "div"

  Parameters:
    `isUseHtmlTable` - If true, use HTML table element to render DSTableObject and DSCrossTab, else use "div"

### isUseScope

    public boolean isUseScope()

  Return the parameter "isUseScope" value. If true, use HTML table element to render DSTableObject and DSCrossTab, and set the row and column header cell with "scope" value to meet the 508 rules

  Returns:
    parameter "isUseScope" value

### setUseScope

    public void setUseScope(boolean isUseScope)

  Set the parameter "isUseScope" value. When setUseHtmlTable(true), the parameter is enable.
  If true, when use HTML table element to render DSTableObject and DSCrossTab,writer the row and column header cell with "scope" value to meet the 508 rules, else don't output the "scope" property row header with 'scope="row" ', column header with 'scope="col" '

  Parameters:
    `isUseScope` - If true, when use HTML table element to render DSTableObject and DSCrossTab, and set the row and column header cell with "scope" value to meet the 508 rules, else don't output the "scope" property

### getNLSProperties

    public java.util.Properties getNLSProperties()

  Return the NLS properties object

  Returns:
    NLS properties

### setNLSProperties

    public void setNLSProperties(java.util.Properties properties)

  Set the NLS properties object to control the html result navigator button text

  Parameters:
    `properties` - NLS properties

### isSect508Html

    public boolean isSect508Html()

  Return the isSect508Html properties value

  Returns:
    isSect508Html properties value

### setIsSect508Html

    public void setIsSect508Html(boolean isSect508Html)

  Set the IsSect508Html properties object to control the html result according to Section508 standard

  Parameters:
    `isSect508Html` - true for section508 mode, false is the default mode

### getExportPageNumberList

    public int[] getExportPageNumberList()

  Return export pageNumber list

  Returns:
    export pageNumber list

### setExportPageNumberList

    public void setExportPageNumberList(int[] exportPageNumberList)

  Set the export page number list. For example: There are 15 pages in a report, set the [1,3,15] to the method, the export result only include page1,page3,page15

  Parameters:
    `properties` - Array for the export page number list

### getExportPageNumberRange

    public int[][] getExportPageNumberRange()

  Return export pageNumber range array

  Returns:
    export pageNumber range array

### setExportPageNumberRange

    public void setExportPageNumberRange(int[][] exportPageNumberRange)

  Set the export page number list. For example: There are 15 pages in a report, set the [[1,2],[14,15]] to the method, the export result only include page1,page2,page14,page15

  Parameters:
    `properties` - Array for the export page number range array

### isOnlyExportHtmlBody

    public boolean isOnlyExportHtmlBody()

### setOnlyExportHtmlBody

    public void setOnlyExportHtmlBody(boolean isOnlyExportHtmlBody)

### isWriteCSSInline

    public boolean isWriteCSSInline()

### setWriteCSSInline

    public void setWriteCSSInline(boolean isWriteCSSInline)

### setisPlsExporter

    public void setisPlsExporter(boolean isPLS)

### getisPlsExporter

    public boolean getisPlsExporter()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD